from turtle import *
from random import *
from time import sleep




class MiaowingCat(Turtle):

    def __init__(self):
        Turtle.__init__(self)

    def setName(self, name):
        self.name = name

    def getName(self):
        return self.name

    def miaow(self):
        if self.getName() == "Felix":
            self.write("I'm a quiet cat", font=("Arial", 15))
        elif self.getName() == "CrazyCat":
            self.write("CrazyCat barking", font=("Arial", 15))
        else: self.write("miaow", font=("Arial", 15))


# random sequence [ seed() is part of the random lib.]
mySeed = int(input("random number seed (1 to get it from the clock) "))
if mySeed == 1: seed() # None or no argument seeds from current time
else:           seed(mySeed)


# loading cats' names    
temp=[]
v=[]

#f=open("cats_confusing_format.txt","r")
f=open("cats_nice_format.txt","r")

for line in f:
    line=line.replace(","," ")
    temp.append(line.split())
    #print (temp)
f.close()

while temp != []:
    item=temp.pop(0)
    while item != []: #empty line case fixed here
        p=item.pop(0)
        #print (p)
        v.append(p)

# creating cats
catList=[]

for n in range(10):
    myCat=MiaowingCat()
    myCat.setName(v[n])
    if v[n]=="CrazyCat": myCat.color("red")
    if v[n]=="Felix": myCat.color("green")
    myCat.speed(0)
    catList.append(myCat)

    myCat.penup()
    myCat.setx(randint(-150,150))
    myCat.sety(randint(-150,150))
    myCat.write(myCat.getName(), font=("Arial", 15))
    sleep(0.5)


raw_input("enter to continue")

#moving cats
for step in range(10):
    for aCat in catList:
        aCat.clear()
        aCat.lt(randint(-100,100))
        aCat.fd(randint(0,50))
        aCat.miaow()

raw_input("enter to quit")
bye()

